> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Indygo Sales Order

> Get an Indygo sales order with line items for invoice prefill.



## OpenAPI

````yaml /api/openapi-cutmake.json get /api/v1/invoices/indygo-sales-orders/{sales_order_id}
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/invoices/indygo-sales-orders/{sales_order_id}:
    get:
      tags:
        - Invoices
      summary: Get Indygo Sales Order
      description: Get an Indygo sales order with line items for invoice prefill.
      operationId: >-
        get_indygo_sales_order_api_v1_invoices_indygo_sales_orders__sales_order_id__get
      parameters:
        - name: sales_order_id
          in: path
          required: true
          schema:
            type: string
            title: Sales Order Id
        - name: clientId
          in: query
          required: true
          schema:
            type: string
            description: Vinmake client ID used by the invoice form
            title: Clientid
          description: Vinmake client ID used by the invoice form
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IndygoSalesOrderResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    IndygoSalesOrderResponse:
      properties:
        id:
          type: string
          title: Id
        internalId:
          type: string
          title: Internalid
        documentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentid
        style:
          anyOf:
            - type: string
            - type: 'null'
          title: Style
          default: ''
        styleId:
          anyOf:
            - type: string
            - type: 'null'
          title: Styleid
          default: ''
        quantity:
          anyOf:
            - type: number
            - type: 'null'
          title: Quantity
          default: 0
        clientName:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientname
          default: ''
        clientId:
          type: string
          title: Clientid
        buyerName:
          anyOf:
            - type: string
            - type: 'null'
          title: Buyername
          default: ''
        etd:
          anyOf:
            - type: string
            - type: 'null'
          title: Etd
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        version:
          type: integer
          title: Version
          default: 1
        shippingTerm:
          anyOf:
            - type: string
            - type: 'null'
          title: Shippingterm
          default: ''
        paymentTerm:
          anyOf:
            - type: string
            - type: 'null'
          title: Paymentterm
          default: ''
        clientPoNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientponumber
        createdOn:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdon
        createdBy:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdby
          default: ''
        estimatedCost:
          anyOf:
            - type: number
            - type: 'null'
          title: Estimatedcost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        source:
          type: string
          title: Source
          default: indygo
        lineItems:
          anyOf:
            - items:
                $ref: '#/components/schemas/IndygoSalesOrderLineItem'
              type: array
            - type: 'null'
          title: Lineitems
      type: object
      required:
        - id
        - internalId
        - clientId
      title: IndygoSalesOrderResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IndygoSalesOrderLineItem:
      properties:
        id:
          type: string
          title: Id
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        qty:
          anyOf:
            - type: number
            - type: 'null'
          title: Qty
        unitPrice:
          anyOf:
            - type: number
            - type: 'null'
          title: Unitprice
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
      type: object
      required:
        - id
      title: IndygoSalesOrderLineItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````